Page MenuHomePhabricator

'userInactive' icon not available on Apex theme – add 'userAnonymous' and deprecate 'userInactive'
Closed, ResolvedPublic

Description

Icon displayed on Content Translation Stats, inside personal menu, for anonymous users, is missing the Apex theme version.
The icon is userInactive. You can see here that icon is missing. Here is how that looks in context:


For comparison, here is the look on WikimediaUI theme:

Event Timeline

Change 421781 had a related patch set uploaded (by VolkerE; owner: Esanders):
[oojs/ui@master] Replace Apex icon set with WMUI icon set

https://gerrit.wikimedia.org/r/421781

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Mar 26 2018, 4:08 AM

Hmm, per the comments on T190441, it seems like we actually want to remove this icon? It has not been redrawn with the recent icon redesign either…

@matmarex There's a replacement in M229, but it will be called 'userAnonymous' and 'userInactive' will act in the beginning as copy.

Volker_E triaged this task as Normal priority.Mar 27 2018, 11:23 PM

Change 422353 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Add 'userAnonymous' and deprecate 'userInactive'

https://gerrit.wikimedia.org/r/422353

Volker_E renamed this task from 'userInactive' icon not available on Apex theme to 'userInactive' icon not available on Apex theme – add 'userAnonymous' and deprecate 'userInactive'.Mar 27 2018, 11:29 PM
Volker_E updated the task description. (Show Details)

Change 422353 merged by jenkins-bot:
[oojs/ui@master] icons: Add 'userAnonymous', and deprecate 'userActive'/'userInactive'

https://gerrit.wikimedia.org/r/422353

Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Mar 28 2018, 9:53 PM
Volker_E updated the task description. (Show Details)Mar 28 2018, 10:02 PM
Volker_E updated the task description. (Show Details)Mar 28 2018, 10:13 PM

Can I leave replacing 'userInactive' after v0.26.2 to you, @Petar.petkovic?

Can I leave replacing 'userInactive' after v0.26.2 to you, @Petar.petkovic?

Yes, of course. I was planning to wait for v0.26.2 and update icon.

Change 424163 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Replace 'userInactive' with 'userAnonymous'

https://gerrit.wikimedia.org/r/424163

Jdforrester-WMF moved this task from Reviewing to Waiting for breaking release on the OOUI board.

Change 424163 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Replace 'userInactive' with 'userAnonymous'

https://gerrit.wikimedia.org/r/424163

matmarex closed this task as Resolved.Apr 12 2018, 2:53 PM
Jdforrester-WMF reopened this task as Open.Apr 12 2018, 3:09 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Not fully Resolved yet, it's not yet removed from OOUI.

matmarex removed a subscriber: matmarex.Apr 25 2018, 8:13 PM

Change 434825 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [BREAKING CHANGE] icons: Remove deprecated 'userActive'/'userInactive'

https://gerrit.wikimedia.org/r/434825

Volker_E updated the task description. (Show Details)May 23 2018, 11:33 PM

Change 434825 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Remove deprecated 'userActive'/'userInactive'

https://gerrit.wikimedia.org/r/434825

Volker_E closed this task as Resolved.Aug 13 2018, 9:30 PM
Volker_E claimed this task.
Volker_E updated the task description. (Show Details)

Change 452872 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

Change 452872 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

The OOUI release landed in MediaWiki 1.32.0-wmf.18.